<?php declare(strict_types=1);

namespace App\Dto\Service\Admin\Project\DocumentationContent;

final readonly class Content
{
    public function __construct(
        private int    $languageId,
        private string $title,
        private string $content,
    ) { }

    public function getLanguageId(): int
    {
        return $this->languageId;
    }

    public function getTitle(): string
    {
        return $this->title;
    }

    public function getContent(): string
    {
        return $this->content;
    }
}
